Skip to main content
GET
/
v2
/
items
List all Items
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/items \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "item_000000002",
    "name": "Bullseye",
    "kind": "employer",
    "known_limitations": null,
    "status": "unavailable",
    "status_details": "The Item is down due to scheduled maintenance but should be back shortly.",
    "mapping_status": "verified",
    "logo_url": "argyle.com/image-holdings",
    "is_grouping": false,
    "matching_score": "1.00"
  },
  {
    "id": "item_000000003",
    "name": "Triple",
    "kind": "platform",
    "known_limitations": null,
    "status": "healthy",
    "status_details": null,
    "mapping_status": "mapped",
    "logo_url": "argyle.com/image-holdings",
    "is_grouping": false,
    "matching_score": "0.63"
  }
]

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

q
string

Free-text search filter. For best results, use the payroll platform or employer's full name.

id
string

Filter by Item ID. Multiple Item IDs can also be searched at once using either method:

  1. /v2/items?id=item_000000001,item_000000002
  2. /v2/items?id=item_000000001&id=item_000000002
kind
string

Filter by kind value.

status
string

Filter by status value.

Multiple status values can also be searched at once using either method:

  1. /v2/items?status=healthy,issues
  2. /v2/items?status=healthy&status=issues

Filtering by both healthy and issues will return all Items that currently support new payroll connections.

mapping_status
string

Filter by mapping_status value.

Multiple mapping_status values can also be searched at once using either method:

  1. /v2/items?mapping_status=verified,mapped
  2. /v2/items?mapping_status=verified&mapping_status=mapped
min_matching_score
number

Only returns items with a matching_score greater than or equal to this value. min_matching_score should be used together with the q "free-text search" query parameter.

filter_set
string<uuid>

Filter by Item filter ID.

limit
integer

Number of Item objects returned per page. Default: 10. Maximum: 200.

Response

200 - application/json
id
string

Unique ID of the Item. ID format — item_123456789

name
string

Name of the Item.

kind
enum<string>

Type of Item.

Available options:
employer,
gig,
platform,
benefits
known_limitations
string | null

Known limitations of the Item, such as historical data limits, unique behavior, or degree of value obfuscation. Otherwise null.

status
enum<string>

Health status of the Item.

  • healthy — Normal service.
  • issues — Impacted service. New account connections still supported.
  • unavailable — Impacted service. New account connections not supported. Ongoing refresh paused.
Available options:
healthy,
issues,
unavailable
status_details
string | null

Additional details on the Item's health status, such as degraded account connection ability or paused ongoing refresh. Otherwise null.

logo_url
string

URL location of the Item's logo image file.

is_grouping
boolean

true if the Item does not directly support account connections, but instead acts as a container for other Items.

mapping_status
enum<string>

Verification status of the Item.

  • verified — The payroll system associated with the Item is known, and the Item has previously experienced a successful connection that returned paystub data.
  • mapped — The payroll system associated with the Item is known, but the Item is awaiting a successful connection.
  • unmapped — The payroll system associated with this Item is not yet known. If an unmapped Item is selected in Link, the user will be given the option to search for the relevant payroll system and attempt to connect using their login credentials.
Available options:
verified,
mapped,
unmapped
matching_score
string

Confidence score based on the degree of similarity between the Item and the search term. Ranges from "1.00" (strong match) to "0.01" (weak match).

matching_score is only returned when listing Items and is only applicable when the q "free-text search" query parameter is used.

features
object

What data fields the Item supports, the Item's deposit switching capabilities, and how often the Item is refreshed with new data.

Only returned when retrieving individual Items by Item ID.